package com.foreverwin.mesnac.common.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 检验项目维护-副
 * </p>
 *
 * @author Philip
 * @since 2021-06-09
 */

@TableName("Z_INSPECTION_ITEM_DETAIL")

public class InspectionItemDetail extends Model<InspectionItemDetail> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
    /**
     * 检验项目主键
     */
   @TableField("INSPECTION_ITEM_BO")
   private String inspectionItemBo;
    /**
     * 序号
     */
   @TableField("SEQ")
   private Long seq;
    /**
     * 参数名称
     */
   @TableField("PARAM_NO")
   private String paramNo;
    /**
     * 参数描述
     */
   @TableField("DESCRIPTION")
   private String description;
    /**
     * 检验方法
     */
   @TableField("INSPECTION_METHOD")
   private String inspectionMethod;
    /**
     * 类型：N｜数字、B｜布尔、 T｜文本
     */
   @TableField("PARAM_TYPE")
   private String paramType;
    /**
     * 参数单位
     */
   @TableField("PARAM_UNIT")
   private String paramUnit;
    /**
     * 小数位数
     */
   @TableField("DECIMAL_NUM")
   private Long decimalNum;
    /**
     * 最小值
     */
   @TableField("MIN_VALUE")
   private BigDecimal minValue;
    /**
     * 标准值
     */
   @TableField("STANDARD_VALUE")
   private String standardValue;
    /**
     * 最大值
     */
   @TableField("MAX_VALUE")
   private BigDecimal maxValue;
    /**
     * FALSE值
     */
   @TableField("FALSE_VALUE")
   private String falseValue;
    /**
     * TRUE值
     */
   @TableField("TRUE_VALUE")
   private String trueValue;
    /**
     * 是否必输：TRUE｜是、FALSE｜否
     */
   @TableField("IS_REQUIRED")
   private String isRequired;
    /**
     * 检验次数
     */
   @TableField("CHECK_NUM")
   private Long checkNum;
    /**
     * 创建人
     */
   @TableField("CREATE_USER")
   private String createUser;
    /**
     * 创建时间
     */
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
    /**
     * 修改人
     */
   @TableField("MODIFY_USER")
   private String modifyUser;
    /**
     * 修改时间
     */
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getInspectionItemBo() {
      return inspectionItemBo;
   }

   public void setInspectionItemBo(String inspectionItemBo) {
      this.inspectionItemBo = inspectionItemBo;
   }

   public Long getSeq() {
      return seq;
   }

   public void setSeq(Long seq) {
      this.seq = seq;
   }

   public String getParamNo() {
      return paramNo;
   }

   public void setParamNo(String paramNo) {
      this.paramNo = paramNo;
   }

   public String getDescription() {
      return description;
   }

   public void setDescription(String description) {
      this.description = description;
   }

   public String getInspectionMethod() {
      return inspectionMethod;
   }

   public void setInspectionMethod(String inspectionMethod) {
      this.inspectionMethod = inspectionMethod;
   }

   public String getParamType() {
      return paramType;
   }

   public void setParamType(String paramType) {
      this.paramType = paramType;
   }

   public String getParamUnit() {
      return paramUnit;
   }

   public void setParamUnit(String paramUnit) {
      this.paramUnit = paramUnit;
   }

   public Long getDecimalNum() {
      return decimalNum;
   }

   public void setDecimalNum(Long decimalNum) {
      this.decimalNum = decimalNum;
   }

   public BigDecimal getMinValue() {
      return minValue;
   }

   public void setMinValue(BigDecimal minValue) {
      this.minValue = minValue;
   }

   public String getStandardValue() {
      return standardValue;
   }

   public void setStandardValue(String standardValue) {
      this.standardValue = standardValue;
   }

   public BigDecimal getMaxValue() {
      return maxValue;
   }

   public void setMaxValue(BigDecimal maxValue) {
      this.maxValue = maxValue;
   }

   public String getFalseValue() {
      return falseValue;
   }

   public void setFalseValue(String falseValue) {
      this.falseValue = falseValue;
   }

   public String getTrueValue() {
      return trueValue;
   }

   public void setTrueValue(String trueValue) {
      this.trueValue = trueValue;
   }

   public String getIsRequired() {
      return isRequired;
   }

   public void setIsRequired(String isRequired) {
      this.isRequired = isRequired;
   }

   public Long getCheckNum() {
      return checkNum;
   }

   public void setCheckNum(Long checkNum) {
      this.checkNum = checkNum;
   }

   public String getCreateUser() {
      return createUser;
   }

   public void setCreateUser(String createUser) {
      this.createUser = createUser;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public String getModifyUser() {
      return modifyUser;
   }

   public void setModifyUser(String modifyUser) {
      this.modifyUser = modifyUser;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

public static final String HANDLE = "HANDLE";

public static final String INSPECTION_ITEM_BO = "INSPECTION_ITEM_BO";

public static final String SEQ = "SEQ";

public static final String PARAM_NO = "PARAM_NO";

public static final String DESCRIPTION = "DESCRIPTION";

public static final String INSPECTION_METHOD = "INSPECTION_METHOD";

public static final String PARAM_TYPE = "PARAM_TYPE";

public static final String PARAM_UNIT = "PARAM_UNIT";

public static final String DECIMAL_NUM = "DECIMAL_NUM";

public static final String MIN_VALUE = "MIN_VALUE";

public static final String STANDARD_VALUE = "STANDARD_VALUE";

public static final String MAX_VALUE = "MAX_VALUE";

public static final String FALSE_VALUE = "FALSE_VALUE";

public static final String TRUE_VALUE = "TRUE_VALUE";

public static final String IS_REQUIRED = "IS_REQUIRED";

public static final String CHECK_NUM = "CHECK_NUM";

public static final String CREATE_USER = "CREATE_USER";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String MODIFY_USER = "MODIFY_USER";

public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "InspectionItemDetail{" +
         "handle = " + handle +
         ", inspectionItemBo = " + inspectionItemBo +
         ", seq = " + seq +
         ", paramNo = " + paramNo +
         ", description = " + description +
         ", inspectionMethod = " + inspectionMethod +
         ", paramType = " + paramType +
         ", paramUnit = " + paramUnit +
         ", decimalNum = " + decimalNum +
         ", minValue = " + minValue +
         ", standardValue = " + standardValue +
         ", maxValue = " + maxValue +
         ", falseValue = " + falseValue +
         ", trueValue = " + trueValue +
         ", isRequired = " + isRequired +
         ", checkNum = " + checkNum +
         ", createUser = " + createUser +
         ", createdDateTime = " + createdDateTime +
         ", modifyUser = " + modifyUser +
         ", modifiedDateTime = " + modifiedDateTime +
         "}";
   }
}